# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXBoundingBox

Function

Computes the bounding box of an Object.

Syntax
`
#include <dx/dx.h>
`

Object DXBoundingBox(Object o, Point *box)

Functional Details

This routine adds to Object `o`, and any of its descendants that are Fields, a "box" component consisting of an Array of 2d points that are the corners of a bounding box (where d is the dimensionality of the data). For data of dimensionality three or less, the routine returns--in the Array pointed to by `box`--the eight corner points; for dimensionalities of one or two, the extra dimensions are treated as zero in the box returned by the routine.

The bounding box returned on `o` is determined by combining the bounding boxes of all Fields contained in `o`.

Transformations are considered in computing the bounding box, but clipping Objects are not. The bounding box is not guaranteed to be the tightest possible.

A `Point` is defined as follows:
`
typedef struct point {
float x, y, z;
} Point, Vector;
`

Return Value Returns `o` or returns `NULL` and may or may not set an error code, depending on the input. For example, it does not set an error code if a bounding box cannot be defined for the given input.

See Also

`DXChangedComponentValues, DXChangedComponentStructure, DXEmptyField, DXEndField, DXEndObject, DXNeighbors, DXStatistics, DXValidPositionsBoundaryBox`

"Standard Components".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]